Other income: Bimp API methods
Bimp API methods for the “Other income” resource (/org2/otherIncome/…): 4 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.
Other income documents
| Method | What it does |
|---|---|
POST /org2/otherIncome/api-read | A request to obtain detailed information for a particular other income document |
POST /org2/otherIncome/api-readList | A request to view a list of other income documents |
POST /org2/otherIncome/api-create | A request to create an other income document |
POST /org2/otherIncome/api-update | A request to update an other income document |
api-read
POST /org2/otherIncome/api-read
A request to obtain detailed information for a particular other income document
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for an other income document |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
number | string | The document’s number. Use this field if you need to specify a custom number |
author | string (uuid) | A unique identifier for the Author, obtainable from the /user/api-readList request |
comment | string | An optional text field for any additional notes or comments related to the document |
mutualSettlementType | string (uuid) | Mutual settlement type |
documentSum | number | Document sum |
organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
documentName | string | Document name |
sum | number | Total sum |
incomeItem | string (uuid) | A unique identifier for the Income Item, obtainable from the /incomeItems/api-readList request |
paymentEntity | string (uuid) | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
counterparty | string (uuid) | A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request |
chartOfAccount | string (uuid) | A unique identifier for the Chart of account, obtainable from the /chartOfAccount/api-readList request |
paymentDetails | object[] | |
paymentDetails[].sum | number | The sum for the income item |
paymentDetails[].project | string (uuid) | A unique identifier for the Project, obtainable from the /project/api-readList request |
paymentDetails[].lineOfBusiness | string (uuid) | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
paymentDetails[].comment | string | An optional text field for any additional notes or comments related to the document |
curl -X POST 'https://app.bimpsoft.com/org2/otherIncome/api-read' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-readList
POST /org2/otherIncome/api-readList
A request to view a list of other income documents
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
pagination | object | yes | Pagination settings |
pagination.offset | number | yes | Pagination offset |
pagination.count | number | yes | Page size (row count) |
filters | object | Filters for other income list | |
filters.comment | string | An optional text field for any additional notes or comments related to the document | |
filters.organization | string (uuid)[] | A unique identifier for the Organization, obtainable from the /organization/api-readList request | |
filters.responsible | string (uuid)[] | A unique identifier for the Author, obtainable from the /user/api-readList request | |
filters.paymentEntity | string (uuid)[] | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
Response: data field
| Field | Type | Description |
|---|---|---|
[].uuid | string (uuid) | |
[].name | string | Document name |
[].number | string | The document’s number. Use this field if you need to specify a custom number |
[].date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
[].comment | string | An optional text field for any additional notes or comments related to the document |
[].documentSum | number | Document sum |
[].responsible | string (uuid) | A unique identifier for the Author, obtainable from the /user/api-readList request |
[].organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
curl -X POST 'https://app.bimpsoft.com/org2/otherIncome/api-readList' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":20}}'
api-create
POST /org2/otherIncome/api-create
A request to create an other income document
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
organization | string (uuid) | yes | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
incomeItem | string (uuid) | yes | A unique identifier for the Income Item, obtainable from the /incomeItems/api-readList request |
paymentEntity | string (uuid) | yes | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
paymentDetails | object[] | ||
paymentDetails[].sum | number | yes | The sum for the income item |
paymentDetails[].project | string (uuid) | yes | A unique identifier for the Project, obtainable from the /project/api-readList request |
paymentDetails[].lineOfBusiness | string (uuid) | yes | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
paymentDetails[].comment | string | An optional text field for any additional notes or comments related to the document | |
number | string | The document’s number. Use this field if you need to specify a custom number | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
author | string (uuid) | A unique identifier for the Author, obtainable from the /user/api-readList request | |
counterparty | string (uuid) | A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request | |
comment | string | An optional text field for any additional notes or comments related to the document | |
chartOfAccount | string (uuid) | A unique identifier for the Chart of account, obtainable from the /chartOfAccount/api-readList request |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) |
curl -X POST 'https://app.bimpsoft.com/org2/otherIncome/api-create' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"organization":"00000000-0000-0000-0000-000000000000","incomeItem":"00000000-0000-0000-0000-000000000000","paymentEntity":"00000000-0000-0000-0000-000000000000"}'
api-update
POST /org2/otherIncome/api-update
A request to update an other income document
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for an other income document |
organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request | |
incomeItem | string (uuid) | A unique identifier for the Income Item, obtainable from the /incomeItems/api-readList request | |
paymentEntity | string (uuid) | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request | |
paymentDetails | object[] | ||
paymentDetails[].sum | number | yes | The sum for the income item |
paymentDetails[].project | string (uuid) | yes | A unique identifier for the Project, obtainable from the /project/api-readList request |
paymentDetails[].lineOfBusiness | string (uuid) | yes | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
paymentDetails[].comment | string | An optional text field for any additional notes or comments related to the document | |
number | string | The document’s number. Use this field if you need to specify a custom number | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
author | string (uuid) | A unique identifier for the Author, obtainable from the /user/api-readList request | |
counterparty | string (uuid) | A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request | |
comment | string | An optional text field for any additional notes or comments related to the document | |
chartOfAccount | string (uuid) | A unique identifier for the Chart of account, obtainable from the /chartOfAccount/api-readList request |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) |
curl -X POST 'https://app.bimpsoft.com/org2/otherIncome/api-update' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.